Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class MainJFrame.CCLMetalTheme

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalTheme
            |
            +--javax.swing.plaf.metal.DefaultMetalTheme
                  |
                  +--ccl.swing.MainJFrame.CCLMetalTheme

Enclosing class:
  MainJFrame

public static class MainJFrame.CCLMetalTheme
extends javax.swing.plaf.metal.DefaultMetalTheme

A class representing a swing theme used by default for the ccl library. It nails down to a monochrome color scheme using the default system background color.

Constructor Summary
`MainJFrame.CCLMetalTheme(java.awt.Color color_)`

Method Summary
`javax.swing.plaf.ColorUIResource` | `getControlDarkShadow()`
`javax.swing.plaf.ColorUIResource` | `getControlHighlight()`
`javax.swing.plaf.ColorUIResource` | `getControlShadow()`
`javax.swing.plaf.ColorUIResource` | `getMenuSelectedForeground()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary1()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary2()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary3()`
`javax.swing.plaf.ColorUIResource` | `getPrimaryControlDarkShadow()`
`javax.swing.plaf.ColorUIResource` | `getPrimaryControlHighlight()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary1()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary2()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary3()`
`javax.swing.plaf.ColorUIResource` | `getSeparatorBackground()`

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getControlTextFont, getMenuTextFont, getName, getSubTextFont, getSystemTextFont, getUserTextFont, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControl, getControlDisabled, getControlInfo, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getPrimaryControl, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainJFrame.CCLMetalTheme

    public MainJFrame.CCLMetalTheme(java.awt.Color color_)

Method Detail

### getControlHighlight

    public javax.swing.plaf.ColorUIResource getControlHighlight()

  Overrides:
    `getControlHighlight` in class `javax.swing.plaf.metal.MetalTheme`

### getControlShadow

    public javax.swing.plaf.ColorUIResource getControlShadow()

  Overrides:
    `getControlShadow` in class `javax.swing.plaf.metal.MetalTheme`

### getControlDarkShadow

    public javax.swing.plaf.ColorUIResource getControlDarkShadow()

  Overrides:
    `getControlDarkShadow` in class `javax.swing.plaf.metal.MetalTheme`

### getPrimary1

    protected javax.swing.plaf.ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimary2

    protected javax.swing.plaf.ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimary3

    protected javax.swing.plaf.ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSecondary1

    protected javax.swing.plaf.ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSecondary2

    protected javax.swing.plaf.ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSecondary3

    protected javax.swing.plaf.ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimaryControlDarkShadow

    public javax.swing.plaf.ColorUIResource getPrimaryControlDarkShadow()

  Overrides:
    `getPrimaryControlDarkShadow` in class `javax.swing.plaf.metal.MetalTheme`

### getPrimaryControlHighlight

    public javax.swing.plaf.ColorUIResource getPrimaryControlHighlight()

  Overrides:
    `getPrimaryControlHighlight` in class `javax.swing.plaf.metal.MetalTheme`

### getSeparatorBackground

    public javax.swing.plaf.ColorUIResource getSeparatorBackground()

  Overrides:
    `getSeparatorBackground` in class `javax.swing.plaf.metal.MetalTheme`

### getMenuSelectedForeground

    public javax.swing.plaf.ColorUIResource getMenuSelectedForeground()

  Overrides:
    `getMenuSelectedForeground` in class `javax.swing.plaf.metal.MetalTheme`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD